//
//  CustomEventsStreamHandler.swift
//  appboxo_sdk
//
//  Created by Azamat Kushmanov on 8/25/20.
//

import UIKit
import Flutter

class CustomEventsStreamHandler: NSObject, FlutterStreamHandler {
    
    var events: FlutterEventSink? = nil
    
    public func onListen(withArguments arguments: Any?, eventSink events: @escaping FlutterEventSink) -> FlutterError? {
        self.events = events
        return nil
    }
    
    public func onCancel(withArguments arguments: Any?) -> FlutterError? {
        self.events = nil
        return nil
    }
}
